org.springframework.cloud.dataflow.server.batch

## Interface SearchableJobExecutionDao

- All Superinterfaces:
    org.springframework.batch.core.repository.dao.JobExecutionDao
  All Known Implementing Classes:
    JdbcSearchableJobExecutionDao

      public interface SearchableJobExecutionDao
      extends org.springframework.batch.core.repository.dao.JobExecutionDao

  Author:
    Dave Syer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `countJobExecutions()`
    `int` | `countJobExecutions(org.springframework.batch.core.BatchStatus status)` Gets count of job executions.
    `int` | `countJobExecutions(String jobName)` Gets count of job executions.
    `int` | `countJobExecutions(String jobName, org.springframework.batch.core.BatchStatus status)` Gets count of job executions.
    `List<org.springframework.batch.core.JobExecution>` | `getJobExecutions(org.springframework.batch.core.BatchStatus status, int start, int count)` Get the `JobExecutions` for a specific status in reverse order of creation (so normally of execution).
    `List<org.springframework.batch.core.JobExecution>` | `getJobExecutions(int start, int count)` Get the `JobExecutions` in reverse order of creation (so normally of execution).
    `List<org.springframework.batch.core.JobExecution>` | `getJobExecutions(String jobName, org.springframework.batch.core.BatchStatus status, int start, int count)` Get the `JobExecutions` for a specific job name in reverse order of creation (so normally of execution).
    `List<org.springframework.batch.core.JobExecution>` | `getJobExecutions(String jobName, int start, int count)` Get the `JobExecutions` for a specific job name in reverse order of creation (so normally of execution).
    `List<JobExecutionWithStepCount>` | `getJobExecutionsWithStepCount(Date fromDate, Date toDate, int start, int count)` Get the `JobExecutions` for a specific date range in reverse order of creation (so normally of execution).
    `List<JobExecutionWithStepCount>` | `getJobExecutionsWithStepCount(int start, int count)` Get the `JobExecutions` in reverse order of creation (so normally of execution) without StepExecution.
    `List<JobExecutionWithStepCount>` | `getJobExecutionsWithStepCount(String jobName, int start, int count)` Get the `JobExecutions` for a specific job name in reverse order of creation (so normally of execution).
    `List<JobExecutionWithStepCount>` | `getJobExecutionsWithStepCountFilteredByJobInstanceId(int jobInstanceId, int start, int count)` Get the `JobExecutions` for a specific job instance id in reverse order of creation (so normally of execution).
    `List<JobExecutionWithStepCount>` | `getJobExecutionsWithStepCountFilteredByTaskExecutionId(int taskExecutionId, int start, int count)` Get the `JobExecutions` for a specific task execution id in reverse order of creation (so normally of execution).
    `Collection<org.springframework.batch.core.JobExecution>` | `getRunningJobExecutions()` Find all the running executions (status less than STOPPING).

    - ### Methods inherited from interface org.springframework.batch.core.repository.dao.JobExecutionDao

      `findJobExecutions, findRunningJobExecutions, getJobExecution, getLastJobExecution, saveJobExecution, synchronizeStatus, updateJobExecution`

- - ### Method Detail

    - #### countJobExecutions

          int countJobExecutions()

      Returns:
        the total number of `JobExecution` instances

    - #### getJobExecutions

          List<org.springframework.batch.core.JobExecution> getJobExecutions(String jobName,
                                                                             org.springframework.batch.core.BatchStatus status,
                                                                             int start,
                                                                             int count)

      Get the `JobExecutions` for a specific job name in reverse order of creation (so normally of execution).
      Parameters:
        `jobName` - the name of the job
        `status` - the status of the job
        `start` - the start index of the instances
        `count` - the maximum number of instances to return
      Returns:
        the `JobExecution` instances requested

    - #### getJobExecutions

          List<org.springframework.batch.core.JobExecution> getJobExecutions(String jobName,
                                                                             int start,
                                                                             int count)

      Get the `JobExecutions` for a specific job name in reverse order of creation (so normally of execution).
      Parameters:
        `jobName` - the name of the job
        `start` - the start index of the instances
        `count` - the maximum number of instances to return
      Returns:
        the `JobExecution` instances requested

    - #### getJobExecutions

          List<org.springframework.batch.core.JobExecution> getJobExecutions(org.springframework.batch.core.BatchStatus status,
                                                                             int start,
                                                                             int count)

      Get the `JobExecutions` for a specific status in reverse order of creation (so normally of execution).
      Parameters:
        `start` - the start index of the instances
        `status` - the status of the job
        `count` - the maximum number of instances to return
      Returns:
        the `JobExecution` instances requested

    - #### getJobExecutionsWithStepCount

          List<JobExecutionWithStepCount> getJobExecutionsWithStepCount(String jobName,
                                                                        int start,
                                                                        int count)

      Get the `JobExecutions` for a specific job name in reverse order of creation (so normally of execution).
      Parameters:
        `jobName` - the name of the job
        `start` - the start index of the instances
        `count` - the maximum number of instances to return
      Returns:
        the `JobExecutionWithStepCount` instances requested

    - #### getJobExecutions

          List<org.springframework.batch.core.JobExecution> getJobExecutions(int start,
                                                                             int count)

      Get the `JobExecutions` in reverse order of creation (so normally of execution).
      Parameters:
        `start` - the start index of the instances
        `count` - the maximum number of instances to return
      Returns:
        the `JobExecution` instances requested

    - #### getJobExecutionsWithStepCount

          List<JobExecutionWithStepCount> getJobExecutionsWithStepCount(int start,
                                                                        int count)

      Get the `JobExecutions` in reverse order of creation (so normally of execution) without StepExecution.
      Parameters:
        `start` - the start index of the instances
        `count` - the maximum number of instances to return
      Returns:
        the `JobExecutionWithStepCount` instances requested

    - #### countJobExecutions

          int countJobExecutions(String jobName)

      Gets count of job executions.
      Parameters:
        `jobName` - the name of a job
      Returns:
        the number of `JobExecutions` belonging to this job

    - #### getRunningJobExecutions

          Collection<org.springframework.batch.core.JobExecution> getRunningJobExecutions()

      Find all the running executions (status less than STOPPING).
      Returns:
        all the `JobExecution` instances that are currently running

    - #### countJobExecutions

          int countJobExecutions(org.springframework.batch.core.BatchStatus status)

      Gets count of job executions.
      Parameters:
        `status` - the job status
      Returns:
        the number of `JobExecutions` belonging to this job

    - #### countJobExecutions

          int countJobExecutions(String jobName,
                                 org.springframework.batch.core.BatchStatus status)

      Gets count of job executions.
      Parameters:
        `jobName` - the name of a job
        `status` - the job status
      Returns:
        the number of `JobExecutions` belonging to this job

    - #### getJobExecutionsWithStepCount

          List<JobExecutionWithStepCount> getJobExecutionsWithStepCount(Date fromDate,
                                                                        Date toDate,
                                                                        int start,
                                                                        int count)

      Get the `JobExecutions` for a specific date range in reverse order of creation (so normally of execution).
      Parameters:
        `fromDate` - the date which start date must be greater than.
        `toDate` - the date which start date must be less than.
        `start` - the start index of the instances
        `count` - the maximum number of instances to return
      Returns:
        the `JobExecutionWithStepCount` instances requested

    - #### getJobExecutionsWithStepCountFilteredByJobInstanceId

          List<JobExecutionWithStepCount> getJobExecutionsWithStepCountFilteredByJobInstanceId(int jobInstanceId,
                                                                                               int start,
                                                                                               int count)

      Get the `JobExecutions` for a specific job instance id in reverse order of creation (so normally of execution).
      Parameters:
        `jobInstanceId` - the job instance id associated with the execution.
        `start` - the start index of the instances
        `count` - the maximum number of instances to return
      Returns:
        the `JobExecutionWithStepCount` instances requested

    - #### getJobExecutionsWithStepCountFilteredByTaskExecutionId

          List<JobExecutionWithStepCount> getJobExecutionsWithStepCountFilteredByTaskExecutionId(int taskExecutionId,
                                                                                                 int start,
                                                                                                 int count)

      Get the `JobExecutions` for a specific task execution id in reverse order of creation (so normally of execution).
      Parameters:
        `taskExecutionId` - the task execution id associated with the execution.
        `start` - the start index of the instances
        `count` - the maximum number of instances to return
      Returns:
        the `JobExecutionWithStepCount` instances requested

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.